<div class="row">
  <div class="col-md-4">
    <div class="card">
      <div class="card-body">
        <form #employeeForm="ngForm" (ngSubmit)="addEmployee(employeeForm)">

            <input type="hidden" name="_id" [(ngModel)]="newEmployee._id">

          <div class="form-group">
            <input
            name="name"
              type="text"
              class="form-control"
              placeholder="enter your FullName"
            [(ngModel)]="newEmployee.name"
            />
          </div>
          <div class="form-group">
            <input
            name="position"
              type="text"
              class="form-control"
              placeholder="enter your psition"
              [(ngModel)]="newEmployee.position"
            />
          </div>
          <div class="form-group">
            <input
            name="office"
              type="text"
              class="form-control"
              placeholder="enter your country"
              [(ngModel)]="newEmployee.office"
            />
            <div class="form-group">
              <input
              name="salary"
                type="number"
                class="form-control"
                placeholder="enter your salary"
                [(ngModel)]="newEmployee.salary"
              />
            </div>
          </div>
          <button class="btn btn-primary mr-2" (click)="resetForm(employeeForm)">clean</button>
          <button class="btn btn-secondary">save</button>
        </form>
      </div>
    </div>
  </div>
  <div class="col-md-8">
    <table class="table table-striped">
      <thead>
        <tr>
          <th>Name</th>
          <th>Position</th>
          <th>Office</th>
          <th>Salary</th>
          <th>Operations</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let employee of employees">
          <td>{{ employee.name }}</td>
          <td>{{ employee.position }}</td>
          <td>{{ employee.office }}</td>
          <td>{{ employee.salary }}</td>
          <td>
            <button class="btn btn-sm" style="background-color: #2196f3" (click)="putEmployee(employee)">
              <i class="material-icons">edit</i>
            </button>
            <button class="btn btn-danger btn-sm ml-2" (click)="deleteEmployee(employee._id)">
              <i class="material-icons">delete</i>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
